package me.captain.dnc;

import org.bukkit.ChatColor;
import org.bukkit.entity.HumanEntity;
import org.bukkit.entity.Player;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerListener;
import org.bukkit.event.player.PlayerQuitEvent;

public class DPL extends PlayerListener
{
	private DispNameChanger plugin;
	
	public DPL(DispNameChanger plugin)
	{
		this.plugin = plugin;
	}
	
	public void onPlayerJoin(PlayerJoinEvent event)
	{
		Player joinee = event.getPlayer();
		
		String jname = joinee.getName();
		
		String jdname = joinee.getDisplayName();
		
		DP pClass = (DP) this.plugin.getDatabase().find(DP.class).where()
				.ieq("PlayerName", jname).findUnique();
		
		if (pClass == null)
		{
			pClass = new DP();
			
			pClass.setDisplayName(jdname);
			
			pClass.setPlayerName(jname);
		}
		
		String name = pClass.getDisplayName();
		
		if (pClass.getPlayerName() == null)
		{
			name.replace(null, joinee.getName());
		}
		
		event.setJoinMessage(ChatColor.YELLOW + pClass.getDisplayName()
				+ " joined the game");
		
		joinee.setDisplayName(name);
		
		if (this.plugin.useSpout == true)
		{
			HumanEntity human = joinee;
			
			this.plugin.am.setGlobalTitle(human,
					name.replaceAll("(&([a-f0-9]))", "$2"));
		}
	}
	
	public void onPlayerQuit(PlayerQuitEvent event)
	{
		Player leavee = event.getPlayer();
		
		String lname = leavee.getName();
		
		String ldname = leavee.getDisplayName();
		
		DP pClass = (DP) this.plugin.getDatabase().find(DP.class).where()
				.ieq("PlayerName", lname).findUnique();
		
		if (pClass == null)
		{
			pClass = new DP();
			
			pClass.setDisplayName(ldname);
			
			pClass.setPlayerName(lname);
		}
		
		String dname = leavee.getDisplayName();
		
		pClass.setPlayerName(lname);
		
		pClass.setDisplayName(dname);
		
		this.plugin.getDatabase().save(pClass);
		
		event.setQuitMessage(ChatColor.YELLOW + pClass.getDisplayName()
				+ " left the game");
	}
}